{% extends 'base.html.twig' %}

{% block header_img %}<img class="slide-image" src="{{ asset('img/todolist_content.jpg') }}" alt="todo list">{% endblock %}

{% block body %}
    <h3>Liste des tâches terminées</h3>
    <a href="{{ path('tasks_create') }}" class="btn btn-info pull-right">Créer une tâche</a>
    <div class="row">
        {% for task in tasks %}
        <div class="col-sm-4 col-lg-4 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h4 class="pull-right">
                        {% if task.isDone %}<span class="glyphicon glyphicon-ok"></span>{% else %}<span class="glyphicon glyphicon-remove"></span>{% endif %}
                    </h4>
                    <h4><a href="{{ path('tasks_update', {'id' : task.id }) }}">{{ task.title }}</a></h4>
                    <p>{{ task.content }}</p>
                    <p>{{ task.createdAt|date("d/m/Y H:i:s", "Europe/Paris") }}</p>
                </div>
                <div>
                    <form action="{{ path('task_toggle', {'id' : task.id }) }}">
                        <button class="btn btn-success btn-sm pull-right">
                            {% if not task.isDone %}Marquer comme faite{% else %}Marquer non terminée{% endif %}
                        </button>
                    </form>
                    <form action="{{ path('tasks_delete_by_id', {'id' : task.id }) }}">
                        <button class="btn btn-danger btn-sm pull-right">Supprimer</button>
                    </form>
                </div>
            </div>
        {% else %}
            <div class="alert alert-warning" role="alert">
                <p>Il n'y a pas encore de tâche terminée.</p>
            </div>
        {% endfor %}
    </div>
{% endblock %}
